MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024503Open CASCADE[OCCT] OCCT:Visualizationpublic2013-12-26 22:332014-11-11 12:58
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024503: TKOpenGl - Porting ray-tracing component on BVH package
DescriptionThis patch makes changes to geometry preparation for the OCCT ray-tracing engine. Inner acceleration structure has been replaced by the two-level BVH from OCCT BVH package. Two-level hierachy allows for efficient dynamic updates and instancing. Individual bottom-level BVHs are built for each ray-tracing object (OpenGL primitive array), and then a high-level BVH is built over these set of objects. This reduces the overall tree quality, but allows for fast updates in case of adding or removing objects (the already built BVHs can be reused). This patch also introduces parallel construction of independent bottom-level BVHs.
TagsNo tags attached.
Test case numberv3d raytrace bug24130
Attached Files7z file icon v3d-raytrace-bug24130-ref.7z (388,251 bytes) 2014-01-17 14:58
? file icon bug24130 (1,438 bytes) 2014-01-17 15:01

- Relationships
related to 0024473closedbugmaster TKMath, BVH - introduce template-based package for Bounding volume hierarchy structures and tools 
parent of 0024520closedapn Implementing transformations and selective updates in ray-tracing (TKOpenGl) 

-  Notes
(0027513)
dbp (developer)
2014-01-16 10:56

Dear kgv,

could you please review the patch in CR24503_1 branch?

Final modifications can be made in OpenCL code, so it is not necessary to review this file (OpenGl_RaytraceSource.cxx).

(0027532)
dbp (developer)
2014-01-17 11:34

Dear kgv,

the patch is ready in branch CR24503. Please, review.
(0027534)
kgv (developer)
2014-01-17 11:38

Branch CR24503 is messed up with another patch.
(0027536)
dbp (developer)
2014-01-17 14:28

Dear kgv,

the new version of the patch can be found in CR24503_3 branch. Please, review.
(0027537)
kgv (developer)
2014-01-17 14:38

Dear bugmaster,

patch is ready for testing.
Please make sure that OpenCL part is tested for regressions on hardware.
(0027538)
dbp (developer)
2014-01-17 15:00

Dear bugmuster,

please update test case bug24130 (tests/v3d/raytrace). The new version checks correctness of shadows (attached to this issue).

Reference images are also attached (v3d-raytrace-bug24130-ref.7z).
(0027618)
kgv (developer)
2014-01-22 20:21

Dear dbp,

please revert branch CR24503_3 to initial state or request additional review.
(0027622)
dbp (developer)
2014-01-23 10:22

Dear kgv,

branch CR24503_3 was reverted to previous state.
(0027645)
apn (administrator)
2014-01-27 11:16

Dear BugMaster,

Branch CR24503_3 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: cd435f02a7f4622affb4bb67f39849c003032cc7

Number of compiler warnings:

occt component :
Linux: 48 (48 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
v3d raytrace bug24130 - OK
http://occt-tests/CR24503-3-master-occt/Debian60-64/v3d/raytrace/bug24130.html [^]
http://occt-tests/CR24503-3-master-occt/Windows-32-VC9/v3d/raytrace/bug24130.html [^]

Testing on Linux:
Total MEMORY difference: 373047360 / 373415136
Total CPU difference: 54316.76999999995 / 44037.36000000017

Testing on Windows:
Total MEMORY difference: 417913524 / 417413028
Total CPU difference: 28563.4375 / 32472.046875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 265d4508
Timestamp: 2014-01-30 08:53:54
Author: dbp
Committer: bugmaster
Details ] Diff ]
0024503: TKOpenGl - Porting ray-tracing component on BVH package

Updated test case v3d/raytrace/bug24130. The new version checks correctness of shadows.
mod - src/BVH/BVH_Geometry.lxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
rm - src/OpenGl/OpenGl_AABB.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_AABB.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_RaytraceSource.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_RaytraceTypes.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]
mod - tests/v3d/raytrace/bug24130 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-26 22:33 dbp New Issue
2013-12-26 22:33 dbp Assigned To => dbp
2014-01-16 10:23 dbp Relationship added related to 0024473
2014-01-16 10:26 kgv Status new => assigned
2014-01-16 10:26 kgv Target Version Unscheduled => 6.7.1
2014-01-16 10:26 kgv Summary Porting OCCT ray-tracing component (TKOpenGl) on BVH package => TKOpenGl - Porting ray-tracing component on BVH package
2014-01-16 10:56 dbp Note Added: 0027513
2014-01-16 10:56 dbp Assigned To dbp => kgv
2014-01-16 10:56 dbp Status assigned => feedback
2014-01-16 11:00 dbp Relationship added related to 0024520
2014-01-16 11:00 dbp Relationship deleted related to 0024520
2014-01-16 11:01 dbp Relationship added parent of 0024520
2014-01-17 11:34 dbp Note Added: 0027532
2014-01-17 11:34 dbp Status feedback => resolved
2014-01-17 11:38 kgv Note Added: 0027534
2014-01-17 11:38 kgv Assigned To kgv => dbp
2014-01-17 11:38 kgv Status resolved => assigned
2014-01-17 14:28 dbp Note Added: 0027536
2014-01-17 14:28 dbp Assigned To dbp => kgv
2014-01-17 14:28 dbp Status assigned => resolved
2014-01-17 14:38 kgv Note Added: 0027537
2014-01-17 14:38 kgv Assigned To kgv => bugmaster
2014-01-17 14:38 kgv Status resolved => reviewed
2014-01-17 14:58 dbp File Added: v3d-raytrace-bug24130-ref.7z
2014-01-17 15:00 dbp Note Added: 0027538
2014-01-17 15:01 dbp File Added: bug24130
2014-01-17 15:41 mkv Assigned To bugmaster => mkv
2014-01-21 11:05 bugmaster Assigned To mkv => apn
2014-01-22 20:21 kgv Note Added: 0027618
2014-01-22 20:21 kgv Assigned To apn => dbp
2014-01-22 20:21 kgv Status reviewed => assigned
2014-01-23 10:22 dbp Note Added: 0027622
2014-01-23 10:22 dbp Assigned To dbp => kgv
2014-01-23 10:22 dbp Status assigned => resolved
2014-01-23 11:55 kgv Assigned To kgv => apn
2014-01-23 11:55 kgv Status resolved => reviewed
2014-01-27 11:16 apn Note Added: 0027645
2014-01-27 11:16 apn Test case number => v3d raytrace bug24130
2014-01-27 11:16 apn Assigned To apn => bugmaster
2014-01-27 11:16 apn Status reviewed => tested
2014-02-03 10:15 bugmaster Changeset attached => occt master 265d4508
2014-02-03 10:15 bugmaster Status tested => verified
2014-02-03 10:15 bugmaster Resolution open => fixed
2014-04-04 12:36 abv Target Version 6.7.1 => 6.8.0
2014-09-29 13:37 dbp Description Updated View Revisions
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker